%define upstream_name    Sys-Virt
%define upstream_version 0.2.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Interface to libvirt virtual machine management API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Sys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  libvirt-devel
BuildRequires:  perl(XML::XPath)
BuildRequires:  perl-devel
BuildRequires:  xen-devel

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}


%description
Sys::Virt is an interface to libvirt virtual machine management API.
The Sys::Virt::Domain module represents a guest domain managed by
the virtual machine monitor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make CFLAGS="%{optflags}"

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS CHANGES README LICENSE
%{perl_vendorarch}/Sys
%{perl_vendorarch}/auto/Sys
%{_mandir}/man3/Sys::Virt*3pm*


%changelog
* Sat Jan 16 2010 Jérôme Quelin <jquelin@mandriva.org> 0.2.3-1mdv2010.1
+ Revision: 492159
- update to 0.2.3

* Tue Sep 15 2009 Jérôme Quelin <jquelin@mandriva.org> 0.2.2-1mdv2010.0
+ Revision: 442641
- update to 0.2.2

* Wed Aug 26 2009 Jérôme Quelin <jquelin@mandriva.org> 0.2.1-1mdv2010.0
+ Revision: 421389
- update to 0.2.1

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-1mdv2010.0
+ Revision: 370183
- update to new version 0.2.0

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

* Mon Feb 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.2-1mdv2008.1
+ Revision: 174676
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Sep 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-2mdv2008.0
+ Revision: 78769
- spec cleanup and ship documentation files

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 0.1.1-1mdv2008.0
+ Revision: 17258
- 0.1.1


(none)